Bug 683404

Summary: autofs plugin does not collect chkconfig autofs status as intended
Product: Red Hat Enterprise Linux 6 Reporter: David Kutálek <dkutalek>
Component: sosAssignee: Keith Robertson <kroberts>
Status: CLOSED ERRATA QA Contact: David Kutálek <dkutalek>
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0CC: agk, bmr, gavin, jmoran, kroberts, prc
Target Milestone: rcKeywords: EasyFix
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 2.2-9.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-12-06 18:10:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description David Kutálek 2011-03-09 11:10:40 UTC
Description of problem:

One more LC_ALL=C issue remaining in sos code, making autofs plugin not to collect chkconfig settings for autofs:

$ grep -H /sbin/chkconfig /usr/lib/python2.6/site-packages/sos/plugins/*.py
/usr/lib/python2.6/site-packages/sos/plugins/autofs.py:        self.collectExtOutput("LC_ALL=C /sbin/chkconfig --list autofs")
/usr/lib/python2.6/site-packages/sos/plugins/startup.py:        self.collectExtOutput("/sbin/chkconfig --list", root_symlink = "chkconfig")

$ grep -H LC_ALL /usr/lib/python2.6/site-packages/sos/plugins/*.py
/usr/lib/python2.6/site-packages/sos/plugins/autofs.py:        self.collectExtOutput("LC_ALL=C /sbin/chkconfig --list autofs")

$ rpm -q sos
sos-2.2-6.el6.noarch

Version-Release number of selected component (if applicable):

sos-2.2-6.el6.noarch

How reproducible:

Always

Steps to Reproduce:
1. As shown above
2.
3.
  
Actual results:

One last LC_ALL=C occurrence in sos code

Expected results:

No such an occurrence

Additional info:

Easy one-line fix

Comment 1 David Kutálek 2011-03-09 11:51:19 UTC
This is a regression against RHEL5, where it was working.

Comment 2 Pierre Carrier 2011-03-10 10:28:54 UTC
We removed the entire collectExtOutput() upstream:
https://fedorahosted.org/sos/changeset/1072

The information already being available in the complete chkconfig, this is one of the few duplicates I've been trying to get rid of in trunk.

-- 
Pierre

Comment 3 RHEL Product and Program Management 2011-04-04 02:02:17 UTC
Since RHEL 6.1 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 6 errata-xmlrpc 2011-12-06 18:10:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1536.html